Index: /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product_class.tpl
===================================================================
--- /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product_class.tpl	(revision 22571)
+++ /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product_class.tpl	(revision 22631)
@@ -201,4 +201,5 @@
             <th><!--{$smarty.const.NORMAL_PRICE_TITLE}-->(円)</th>
             <th><!--{$smarty.const.SALE_PRICE_TITLE}-->(円)<span class="attention">*</span></th>
+            <th>消費税率(%)<span class="attention">*</span></th>
             <th>商品種別<span class="attention">*</span></th>
             <th>ダウンロード<br />ファイル名<span class="red"><br />上限<!--{$smarty.const.STEXT_LEN}-->文字</span></th>
@@ -270,4 +271,11 @@
                     <!--{/if}-->
                     <input type="text" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]|h}-->" size="6" class="box6" maxlength="<!--{$arrForm[$key].length}-->" <!--{if $arrErr[$key][$index] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> id="<!--{$key}-->_<!--{$index}-->" />
+                </td>
+                <td class="center">
+                    <!--{assign var=key value="tax_rate"}-->
+                    <!--{if $arrErr[$key][$index]}-->
+                        <span class="attention"><!--{$arrErr[$key][$index]}--></span>
+                    <!--{/if}-->
+                    <input type="text" name="<!--{$key}-->[<!--{$index}-->]" value="<!--{$arrForm[$key].value[$index]|h}-->" size="6" class="box6" maxlength="<!--{$arrForm[$key].length}-->" <!--{if $arrErr[$key][$index] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> id="<!--{$key}-->_<!--{$index}-->" />                
                 </td>
                 <td class="class-product-type">
Index: /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product.tpl
===================================================================
--- /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product.tpl	(revision 22571)
+++ /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product.tpl	(revision 22631)
@@ -187,4 +187,12 @@
         </tr>
         <tr>
+            <th>消費税率<span class="attention"> *</span></th>
+            <td>
+                <span class="attention"><!--{$arrErr.tax_rate}--></span>
+                <input type="text" name="tax_rate" value="<!--{$arrForm.tax_rate|h}-->" size="6" class="box6" maxlength="<!--{$smarty.const.PERCENTAGE_LEN}-->" style="<!--{if $arrErr.tax_rate != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->"/>%
+                <span class="attention">(半角数字で入力)</span>
+            </td>
+        </tr>
+        <tr>
             <th>在庫数<span class="attention"> *</span></th>
             <td>
Index: /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product_class_confirm.tpl
===================================================================
--- /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product_class_confirm.tpl	(revision 22206)
+++ /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/product_class_confirm.tpl	(revision 22631)
@@ -64,4 +64,5 @@
                 <th><!--{$smarty.const.NORMAL_PRICE_TITLE}-->(円)</th>
                 <th><!--{$smarty.const.SALE_PRICE_TITLE}-->(円)</th>
+                <th>消費税率(%)</th>
                 <th>商品種別</th>
                 <th>ダウンロードファイル名</th>
@@ -91,4 +92,6 @@
                         <td class="right"><!--{$arrForm[$key].value[$index]|h}--></td>
                         <!--{assign var=key value="price02"}-->
+                        <td class="right"><!--{$arrForm[$key].value[$index]|h}--></td>
+                        <!--{assign var=key value="tax_rate"}-->
                         <td class="right"><!--{$arrForm[$key].value[$index]|h}--></td>
                         <!--{assign var=key value="product_type_id"}-->
Index: /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/confirm.tpl
===================================================================
--- /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/confirm.tpl	(revision 22571)
+++ /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/products/confirm.tpl	(revision 22631)
@@ -123,4 +123,10 @@
             </tr>
             <tr>
+                <th>消費税率</th>
+                <td>
+                    <!--{if strlen($arrForm.tax_rate) >= 1}--><!--{$arrForm.tax_rate|h}--> %<!--{/if}-->
+                </td>
+            </tr>
+            <tr>
                 <th>在庫数</th>
                 <td>