Index: branches/camp/camp-2_13-plugin/data/Smarty/templates/admin/ownersstore/plugin_hookpoint_list.tpl
===================================================================
--- branches/camp/camp-2_13-plugin/data/Smarty/templates/admin/ownersstore/plugin_hookpoint_list.tpl	(revision 22629)
+++ branches/camp/camp-2_13-plugin/data/Smarty/templates/admin/ownersstore/plugin_hookpoint_list.tpl	(revision 22641)
@@ -29,93 +29,34 @@
          * 「有効/有効にする」チェックボタン押下時
          */
-        $('input[id^=plugin_enable]').change(function(event) {
+        $('input[name^=plugin_hookpoint_use]').change(function(event) {
             // モード(有効 or 無効)
-            var mode = event.target.name;
+            var value = event.target.value;
+            var id = event.target.id;
 
-            if(mode === 'disable') {
-                result = window.confirm('プラグインを無効にしても宜しいですか？');
+            if(value === 'f') {
+                result = window.confirm('無効にしても宜しいですか？');
                 if(result === false) {
-                    $(event.target).attr("checked", "checked");
+                    //$(event.target).attr("checked", "checked");
+                    event.target.value = 't';
                 }
-            } else if(mode === 'enable') {
-                result = window.confirm('プラグインを有効にしても宜しいですか？');
+            } else if(value === 't') {
+                result = window.confirm('有効にしても宜しいですか？');
                 if(result === false) {
-                    $(event.target).attr("checked", "");
+                    //$(event.target).attr("checked", "checked");
+                    event.target.value = 'f ';
                 }
             }
-            if(result === true){
-                // プラグインID
-                var plugin_id = event.target.value;
-                fnModeSubmit(mode, 'plugin_id', plugin_id);
-            }
-        });
-
-    /**
-     * アップデートリンク押下時の処理.
-     */
-    $('.update_link').click(function(event) {
-        var plugin_id = event.target.name;
-        $('div[id="plugin_update_' + plugin_id + '"]').toggle("slow");
+            // プラグインフックID
+            fnModeSubmit('update_use', 'plugin_hookpoint_id', id);
         });
     });
-
-    /**
-     * アプデートボタン押下時の処理.
-     * アップデート対象ファイル以外はPOSTされない様にdisabled属性を付与
-     */
-    function removeUpdateFile(select_id) {
-        $('input[name="update_plugin_file"]').attr("disabled", "disabled");
-        $('input[id="' + select_id + '"]').removeAttr("disabled");
-    }
-
-    /**
-     * インストール
-     */
-    function install() {
-        if (window.confirm('プラグインをインストールしても宜しいでしょうか？')){
-            fnModeSubmit('install','','');
-        }
-    }
-
-    /**
-     * アンインストール(削除)
-     */
-    function uninstall(plugin_id, plugin_code) {
-        if (window.confirm('一度削除したデータは元に戻せません。\nプラグインを削除しても宜しいですか？')){
-            fnSetFormValue('plugin_id', plugin_id);
-            fnModeSubmit('uninstall', 'plugin_code', plugin_code);
-        }
-    }
-
-    /**
-     * アップデート処理
-     */
-    function update(plugin_id, plugin_code) {
-        if (window.confirm('プラグインをアップデートしても宜しいですか？')){
-            removeUpdateFile('update_file_' + plugin_id);
-            fnSetFormValue('plugin_id', plugin_id);
-            fnModeSubmit('update','plugin_code', plugin_code);
-        }
-    }
-
-
-    /**
-     * 優先度変更.
-     */
-    function update_priority(plugin_id, plugin_code) {
-        var priority = $("*[name=priority_" + plugin_code +"]").val();
-        fnSetFormValue('priority', priority);
-        fnModeSubmit('priority','plugin_id',plugin_id);
-    }
 
 //]]></script>
 
 <!--<form name="form1" id="form1" method="post" action="?">-->
-<form name="form1" method="post" action="?" enctype="multipart/form-data">
+<form name="form1" method="post" action="?">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
 <input type="hidden" name="mode" value="" />
-<input type="hidden" name="plugin_id" value="" />
-<input type="hidden" name="plugin_code" value="" />
-<input type="hidden" name="priority" value="" />
+<input type="hidden" name="plugin_hookpoint_id" value="" />
 <div id="system" class="contents-main">
     <h2>プラグイン競合チェック</h2>
@@ -127,7 +68,8 @@
         <span class="attention"><!--{$arrErr.plugin_error}--></span>
         <table class="system-plugin" width="900">
-            <col width="10%" />
-            <col width="77" />
-            <col width="13%" />
+            <col width="40%" />
+            <col width="5" />
+            <col width="40%" />
+            <col width="15%" />
             <tr>
                 <th>フックポイント</th>
@@ -137,14 +79,15 @@
             </tr>
     <!--{foreach from=$arrHookPoint item=hookpoint}-->
-    <!--{foreach from=$hookpoint item=val}-->
-
-
+    <!--{foreach from=$hookpoint item=val name="plugin"}-->
             <tr>
+                <!--{if $hookpoint|@count > 0 && $smarty.foreach.plugin.iteration == '1'}-->
+                <td rowspan="<!--{$hookpoint|@count}-->"><!--{$val.hook_point}--></td>
+                <!--{elseif !$smarty.foreach.plugin.iteration > 1}-->
                 <td><!--{$val.hook_point}--></td>
-                <td><!--{$val.priority}--></td>
-                <td><!--{$val.plugin_name}--></td>
-                <td>
-plugin_hookpoint_id:<!--{$val.plugin_id}-->, plugin_id:<!--{$val.plugin_id}-->
-use_flg:<!--{$val.use_flg}--><br />
+                <!--{/if}-->
+                <td<!--{if $val.use_flg == "f"}--> bgcolor="grey"<!--{/if}-->><!--{$val.priority}--></td>
+                <td<!--{if $val.use_flg == "f"}--> bgcolor="grey"<!--{/if}-->><!--{$val.plugin_name}--></td>
+                <td<!--{if $val.use_flg == "f"}--> bgcolor="grey"<!--{/if}-->>
+                <!--{html_radios name="plugin_hookpoint_use[`$val.plugin_hookpoint_id`]" options=$arrUse selected=$val.use_flg id=$val.plugin_hookpoint_id}-->
                 </td>
             </tr>