Index: /branches/camp/camp-2_13-plugin/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_PluginHookPointList.php
===================================================================
--- /branches/camp/camp-2_13-plugin/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_PluginHookPointList.php	(revision 22641)
+++ /branches/camp/camp-2_13-plugin/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_PluginHookPointList.php	(revision 22664)
@@ -96,6 +96,10 @@
         }
         // DBからプラグイン情報を取得
-        $arrHookPoint = SC_Plugin_Util_Ex::getPluginHookPointList();
-
+        $arrRet = SC_Plugin_Util_Ex::getPluginHookPointList();
+        // 競合チェック
+        $this->arrConflict = SC_Plugin_Util_Ex::checkConflictPlugin();
+        foreach ($arrRet AS $key=>$val) {
+            $arrHookPoint[$val['hook_point']][$val['plugin_id']] = $val;
+        }
         $this->arrHookPoint = $arrHookPoint;
     }
Index: /branches/camp/camp-2_13-plugin/data/class/plugin/SC_Plugin_Util.php
===================================================================
--- /branches/camp/camp-2_13-plugin/data/class/plugin/SC_Plugin_Util.php	(revision 22663)
+++ /branches/camp/camp-2_13-plugin/data/class/plugin/SC_Plugin_Util.php	(revision 22664)
@@ -234,19 +234,21 @@
     {
         // フックポイントを取得します.
+        $where = 'T1.hook_point = ? AND NOT T1.plugin_id = ? AND T2.enable = ?';
         if ($plugin_id > 0) {
             $hookPoints = SC_Plugin_Util::getPluginHookPoint($plugin_id);
         } else {
             $hookPoints = SC_Plugin_Util::getPluginHookPointList(1);
+            $where .= ' AND T1.use_flg = true';
         }
 
         $conflict_alert_message = '';
         $arrConflictPluginName = array();
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $arrConflictHookPoint = array();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->setGroupBy('T1.hook_point, T1.plugin_id, T2.plugin_name');
+        $table = 'dtb_plugin_hookpoint AS T1 LEFT JOIN dtb_plugin AS T2 ON T1.plugin_id = T2.plugin_id';
         foreach ($hookPoints as $hookPoint) {
             // 競合するプラグインを取得する,
-            $table = 'dtb_plugin_hookpoint AS T1 LEFT JOIN dtb_plugin AS T2 ON T1.plugin_id = T2.plugin_id';
-            $where = 'T1.hook_point = ? AND NOT T1.plugin_id = ? AND T2.enable = ' . PLUGIN_ENABLE_TRUE;
-            $objQuery->setGroupBy('T1.plugin_id, T2.plugin_name');
-            $conflictPlugins = $objQuery->select('T1.plugin_id, T2.plugin_name', $table, $where, array($hookPoint['hook_point'], $hookPoint['plugin_id']));
+            $conflictPlugins = $objQuery->select('T1.hook_point, T1.plugin_id, T2.plugin_name', $table, $where, array($hookPoint['hook_point'], $hookPoint['plugin_id'], PLUGIN_ENABLE_TRUE));
 
             // プラグイン名重複を削除する為、専用の配列に格納し直す.
@@ -256,11 +258,20 @@
                     $arrConflictPluginName[] = $conflictPlugin['plugin_name'];
                 }
-            }
-        }
-        // メッセージをセットします.
-        foreach ($arrConflictPluginName as $conflictPluginName) {
-            $conflict_alert_message .= '* ' .  $conflictPluginName . 'と競合する可能性があります。<br/>';
-        }
-        return $conflict_alert_message;
+                // プラグイン名が見つからなければ配列に格納
+                if (!in_array($conflictPlugin['hook_point'], $arrConflictHookPoint)) {
+                    $arrConflictHookPoint[] = $conflictPlugin['hook_point'];
+                }
+            }
+        }
+
+        if ($plugin_id > 0) {
+            // メッセージをセットします.
+            foreach ($arrConflictPluginName as $conflictPluginName) {
+                $conflict_alert_message .= '* ' .  $conflictPluginName . 'と競合する可能性があります。<br/>';
+            }
+            return $conflict_alert_message;
+        } else {
+            return $arrConflictHookPoint;
+        }
     }
 
Index: /branches/camp/camp-2_13-plugin/data/Smarty/templates/admin/ownersstore/plugin_hookpoint_list.tpl
===================================================================
--- /branches/camp/camp-2_13-plugin/data/Smarty/templates/admin/ownersstore/plugin_hookpoint_list.tpl	(revision 22641)
+++ /branches/camp/camp-2_13-plugin/data/Smarty/templates/admin/ownersstore/plugin_hookpoint_list.tpl	(revision 22664)
@@ -57,9 +57,7 @@
 <form name="form1" method="post" action="?">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-<input type="hidden" name="mode" value="" />
+<input type="hidden" name="mode" value="conflict_check" />
 <input type="hidden" name="plugin_hookpoint_id" value="" />
 <div id="system" class="contents-main">
-    <h2>プラグイン競合チェック</h2>
-
     <!--▼プラグイン一覧ここから-->
     <h2>フックポイント別プラグイン一覧</h2>
@@ -82,7 +80,7 @@
             <tr>
                 <!--{if $hookpoint|@count > 0 && $smarty.foreach.plugin.iteration == '1'}-->
-                <td rowspan="<!--{$hookpoint|@count}-->"><!--{$val.hook_point}--></td>
+                <td <!--{if in_array($val.hook_point, $arrConflict)}-->bgcolor="pink"<!--{/if}--> rowspan="<!--{$hookpoint|@count}-->"><!--{$val.hook_point}--></td>
                 <!--{elseif !$smarty.foreach.plugin.iteration > 1}-->
-                <td><!--{$val.hook_point}--></td>
+                <td <!--{if in_array($val.hook_point, $arrConflict)}-->bgcolor="pink"<!--{/if}-->><!--{$val.hook_point}--></td>
                 <!--{/if}-->
                 <td<!--{if $val.use_flg == "f"}--> bgcolor="grey"<!--{/if}-->><!--{$val.priority}--></td>