Index: /branches/camp/camp-2_13-tax/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php
===================================================================
--- /branches/camp/camp-2_13-tax/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php	(revision 22642)
+++ /branches/camp/camp-2_13-tax/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php	(revision 22667)
@@ -116,8 +116,4 @@
                 // エラーチェック
                 $this->arrErr = $this->lfCheckError($objFormParam, $objTaxRule);
-                if (!SC_Utils_Ex::isBlank($this->arrErr['tax_rule_id'])) {
-                    trigger_error('', E_USER_ERROR);
-                    return;
-                }
 
                 if (count($this->arrErr) <= 0) {
@@ -194,5 +190,5 @@
         $objFormParam->addParam('税規約ID', 'tax_rule_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('消費税率', 'tax_rate', PERCENTAGE_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('課税規則 ', 'calc_rule', PERCENTAGE_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('課税規則', 'calc_rule', PERCENTAGE_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
         // 適用日時
         $objFormParam->addParam('適用年', 'apply_date_year', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -213,9 +209,11 @@
      * @return multiple
      */
-    function doRegist($tax_rule_id, $sqlval, SC_Helper_TaxRule_Ex $objTaxRule)
-    {
-        $sqlval['tax_rule_id'] = $tax_rule_id;
-        $sqlval['member_id'] = $_SESSION['member_id'];
-        return $objTaxRule->registerTaxRuleData($sqlval);
+    function doRegist($tax_rule_id, $arrParam, SC_Helper_TaxRule_Ex $objTaxRule)
+    {
+        $apply_date = SC_Utils_Ex::sfGetTimestampistime($arrParam['apply_date_year'], sprintf("%02d",$arrParam['apply_date_month']), sprintf("%02d",$arrParam['apply_date_day']),sprintf("%02d",$arrParam['apply_date_hour']), sprintf("%02d",$arrParam['apply_date_minutes']));
+
+        $calc_rule = $arrParam['calc_rule'];
+        $tax_rate = $arrParam['tax_rate'];
+        return $objTaxRule->setTaxRule($calc_rule, $tax_rate, $apply_date, $tax_rule_id);
     }
 
@@ -234,5 +232,4 @@
         if (!empty($arrForm['tax_rule_id'])) {
             if (!SC_Utils_Ex::sfIsInt($arrForm['tax_rule_id'])
-                || SC_Utils_Ex::sfIsZeroFilling($arrForm['tax_rule_id'])
                 || !$objTaxRule->getTaxRuleData($arrForm['tax_rule_id'])
             ) {
@@ -242,6 +239,7 @@
         }
 
+        if ($arrForm['tax_rule_id'] != '0') {
         $apply_date = SC_Utils_Ex::sfGetTimestampistime($arrForm['apply_date_year'], sprintf("%02d",$arrForm['apply_date_month']), sprintf("%02d",$arrForm['apply_date_day']),sprintf("%02d",$arrForm['apply_date_hour']), sprintf("%02d",$arrForm['apply_date_minutes']));
-var_dump($apply_date);
+
         // 税規約情報読み込み
         $arrTaxRuleByTime = $objTaxRule->getTaxRuleByTime($apply_date);
@@ -254,4 +252,5 @@
                 $arrErr['apply_date'] = '※ 既に同じ適用日時で登録が存在します。<br />';
             }
+        }
 
         return $arrErr;
Index: /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/tax.tpl
===================================================================
--- /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/tax.tpl	(revision 22642)
+++ /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/tax.tpl	(revision 22667)
@@ -27,4 +27,5 @@
             </td>
         </tr>
+        <!--{if $tpl_tax_rule_id != "0"}-->
         <tr>
             <th>適用日時<span class="attention"> *</span></th>
@@ -62,4 +63,11 @@
             </td>
         </tr>
+        <!--{else}-->
+        <input type="hidden" name="apply_date_year" value="<!--{$arrForm.apply_date_year.value|h}-->" />
+        <input type="hidden" name="apply_date_month" value="<!--{$arrForm.apply_date_month.value|h}-->" />
+        <input type="hidden" name="apply_date_day" value="<!--{$arrForm.apply_date_day.value|h}-->" />
+        <input type="hidden" name="apply_date_hour" value="<!--{$arrForm.apply_date_hour.value|h}-->" />
+        <input type="hidden" name="apply_date_minutes" value="<!--{$arrForm.apply_date_minutes.value|h}-->" />
+        <!--{/if}-->
     </table>
 
@@ -85,28 +93,34 @@
             <th class="delete">削除</th>
         </tr>
-            <!--{section name=cnt loop=$arrTaxrule}-->
+        <!--{section name=cnt loop=$arrTaxrule}-->
         <tr style="background:<!--{if $tpl_tax_rule_id != $arrTaxrule[cnt].tax_rule_id}-->#ffffff<!--{else}--><!--{$smarty.const.SELECT_RGB}--><!--{/if}-->;">
             <!--{assign var=tax_rule_id value=$arrTaxrule[cnt].tax_rule_id}-->
-            <td><!--{$tax_rule_id|h}--></td>
-            <td><!--{$arrTaxrule[cnt].tax_rate|h}--></td>
-            <td><!--{assign var=calc_rule value=$arrTaxrule[cnt].calc_rule}-->
+            <td class="center"><!--{$tax_rule_id|h}--></td>
+            <td class="center"><!--{$arrTaxrule[cnt].tax_rate|h}--></td>
+            <td class="center"><!--{assign var=calc_rule value=$arrTaxrule[cnt].calc_rule}-->
                 <!--{$arrTAXCALCRULE[$calc_rule]}--></td>
-            <td><!--{$arrTaxrule[cnt].apply_date|h}--></td>
+            <td class="center">
+                <!--{if $arrTaxrule[cnt].tax_rule_id == 0}-->
+                基本税率設定
+                <!--{else}-->
+                <!--{$arrTaxrule[cnt].apply_date|h}-->
+                <!--{/if}-->
+            </td>
             <td class="center">
             <!--{if $tpl_tax_rule_id != $arrTaxrule[cnt].tax_rule_id}-->
-                <a href="?" onclick="fnModeSubmit('pre_edit', 'tax_rule_id', <!--{$arrTaxrule[cnt].tax_rule_id}-->); return false;">編集</a>
-                <!--{else}-->
+                <a href="?" onclick="fnModeSubmit('pre_edit', 'tax_rule_id', '<!--{$arrTaxrule[cnt].tax_rule_id}-->'); return false;">編集</a>
+            <!--{else}-->
                 編集中
-                    <!--{/if}-->
+            <!--{/if}-->
             </td>
             <td class="center">
             <!--{if $arrTaxrule[cnt].tax_rule_id == 0}-->
                 -
-                <!--{else}-->
-                <a href="?" onclick="fnModeSubmit('delete', 'tax_rule_id', <!--{$arrTaxrule[cnt].tax_rule_id}-->); return false;">削除</a>
-                    <!--{/if}-->
+            <!--{else}-->
+                <a href="?" onclick="fnModeSubmit('delete', 'tax_rule_id', '<!--{$arrTaxrule[cnt].tax_rule_id}-->'); return false;">削除</a>
+            <!--{/if}-->
             </td>
         </tr>
-            <!--{/section}-->
+        <!--{/section}-->
     </table>
     <!--{/if}-->